Ruby 2.6.0


#1

I tried to install the new Ruby and it all seemed to be working fine but when I went to make $ rbenv global 2.6.0 and then checked to make sure. It gave me this: ruby 2.3.7p456 (2018-03-28 revision 63024) [universal.x86_64-darwin18]

What might I be doing wrong?


#2

Looks like rbenv isn’t set up properly somewhere.

Run the following script in your terminal and let me know the output

curl -fsSL https://github.com/rbenv/rbenv-installer/raw/master/bin/rbenv-doctor | bash


#3

This is what I got:

Checking for rbenv' in PATH: /usr/local/bin/rbenv Checking for rbenv shims in PATH: not found The directory/Users/junginlim/.rbenv/shims’ must be present in PATH for rbenv to work.
Please run `rbenv init’ and follow the instructions.

Checking `rbenv install’ support: /usr/local/bin/rbenv-install (ruby-build 20181225)
Counting installed Ruby versions: 1 versions
Checking RubyGems settings: OK
Auditing installed plugins: OK


#4

What OS are you using?